'Reinstall previous purchase' menu is enabled while disconnected

Bug #802920 reported by Jean-Baptiste Lallement on 2011-06-28
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Low
Robert Roth
Natty
Undecided
Unassigned

Bug Description

TEST CASE:
1. Disconnect the system from the network
2. Select the menu 'File / Reinstall previous purchase'

Result:
S-C shows the 'Connect to S-C Store' dialog which doesn't make sense since it won't be able to connect to login.ubuntu.com
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: software-center 4.1.6
ProcVersionSignature: Ubuntu 3.0-2.3-generic 3.0.0-rc4
Uname: Linux 3.0-2-generic i686
Architecture: i386
Date: Tue Jun 28 12:44:36 2011
EcryptfsInUse: Yes
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.utf8
 LC_MESSAGES=en_US.utf8
 SHELL=/bin/bash
SourcePackage: software-center
UpgradeStatus: Upgraded to oneiric on 2011-06-27 (0 days ago)

Jean-Baptiste Lallement (jibel) wrote :
Robert Roth (evfool) on 2011-07-07
Changed in software-center (Ubuntu):
status: New → Confirmed
importance: Undecided → Low
Robert Roth (evfool) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Unfortunately, we cannot work on this bug because your description didn't include enough information. You may find it helpful to read "How to report bugs effectively" http://www.chiark.greenend.org.uk/~sgtatham/bugs.html. We'd be grateful if you would then provide a more complete description of the problem.

We have instructions on debugging some types of problems at http://wiki.ubuntu.com/DebuggingProcedures

At a minimum, we need:
1. the specific steps or actions you took that caused you to encounter the problem,
2. the behavior you expected, and
3. the behavior you actually encountered (in as much detail as possible).
Thanks!
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Robert Roth (evfool) wrote :

Please, disregard my last comment, my mistake, pasted in the wrong tab.

Robert Roth (evfool) on 2011-07-07
Changed in software-center (Ubuntu):
assignee: nobody → Robert Roth (evfool)
Robert Roth (evfool) on 2011-07-07
Changed in software-center (Ubuntu):
status: Confirmed → In Progress
Changed in software-center (Ubuntu):
status: In Progress → Fix Committed
Gary Lasker (gary-lasker) wrote :

Hi Robert, thanks very much for your fixes! I've merged your branch into the 4.0 branch and also added your fixes in trunk.

Thanks as always for your good work!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 4.1.9

---------------
software-center (4.1.9) oneiric; urgency=low

  [ Michael Vogt ]
  * data/ui/*.ui:
    - move into data/ui/gtk preparing the gtk3 merge
  * utils/piston-helpers/*.py:
    - return exitcode 1 on expections
  * softwarecenter/backend/scagent.py:
    - properly copy when building the command

  [ Gary Lasker ]
  * merge lp:~evfool/software-center/nonetworkfixes to fix menu
    item network state bugs, many thanks to Robert Roth
    (LP: #802919, LP: #802920)
  * softwarecenter/ui/gtk/appview.py:
    - fix crash on a network change event (LP: #804414)
  * softwarecenter/ui/gtk/appdetailsview_gtk.py:
    - gracefully handle AttributeError from zeitgeist pending
      fix in zeitgeist itself, fixes crasher (LP: #807282)
  * softwarecenter/ui/gtk/appdetailsview_gtk.py,
    softwarecenter/utils.py:
    - fix crash when searching gmenu paths (LP: #793024)

  [ Aaron Peachey ]
  * softwarecenter/backend/reviews.py,
    softwarecenter/backend/spawn_helper.py:
    - correct modify/delete UI callback behaviour with
      new spawn helper and pagination code (LP: #807010)
    - fix submit_usefulness and report_abuse callbacks
      to work with the new spawn_helper and pagination code
 -- Michael Vogt <email address hidden> Wed, 13 Jul 2011 16:11:35 +0200

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released

Hello Jean-Baptiste, or anyone else affected,

Accepted software-center into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in software-center (Ubuntu Natty):
status: New → Fix Committed
tags: added: verification-needed
tags: added: testcase
Gary Lasker (gary-lasker) wrote :

I have verified that this bug is fixed in software-center version 4.0.5 in natty-proposed. Many thanks!

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 4.0.5

---------------
software-center (4.0.5) natty-proposed; urgency=low

  [ Aaron Peachey ]
  * softwarecenter/view/appdetailsview_gtk.py,
    softwarecenter/view/widgets/reviews.py:
    - fix duplication of reviews upon submitting a new
      review, completes the fix for LP: #794060

  [ Gary Lasker ]
  * softwarecenter/utils.py,
    softwarecenter/backend/aptd.py,
    test/test_software_channels.py:
    - obfuscate private ppa details in the error log output and in
      the error dialog itself, add corresponding unit test
      (LP: #807745)
  * merge lp:~evfool/software-center/nonetworkfixes, fixes two menu
    item network state bugs, many thanks to Robert Roth
    (LP: #802919, LP: #802920)
 -- Michael Vogt <email address hidden> Wed, 13 Jul 2011 14:24:50 +0200

Changed in software-center (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers